varying vec4	t1,t2;
varying vec2	t0;
uniform vec2 	ofs;

attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 

void main()
{
	gl_Position = vec4(s2_vertex,1.0);

	t0=s2_texcoords.xy;

	t1.xy=s2_texcoords.xy+ofs;
	t1.zw=s2_texcoords.xy-ofs;

	t2.xy=s2_texcoords.xy+ofs;
	t2.zw=s2_texcoords.xy-ofs;
}